<?php
/**
 * Block Patterns
 *
 * @package shoe_outlet
 * @since 1.0
 */

function shoe_outlet_register_block_patterns() {
	$shoe_outlet_block_pattern_categories = array(
		'shoe-outlet' => array( 'label' => esc_html__( 'Shoe Outlet', 'shoe-outlet' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'shoe-outlet' ) ),
	);

	$shoe_outlet_block_pattern_categories = apply_filters( 'shoe_outlet_shoe_outlet_block_pattern_categories', $shoe_outlet_block_pattern_categories );

	foreach ( $shoe_outlet_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'shoe_outlet_register_block_patterns', 9 );